| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfRCF Struct Reference
Subscriber Features

Remote Call Forwarding. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__ServiceId | ServiceId
| The number or alphanumeric SIP URI to which all incoming calls are to be routed. More...
int * | MaxSimultaneousCalls
| The maximum number of calls allowed to be forward at any one time. More...

## Detailed Description

Remote Call Forwarding.

The Remote Call Forwarding (RCF) feature provides the capability to redirect calls intended for subscriber to a fixed destination. RCF cannot be enabled or disabled by subsequent SOAP requests; it is always on. If RCF is provisioned, no other service feature can be assigned to the subscriber. The calling party receives no indication that the call terminates at a remote location. This feature is similar to Call Forwarding - All Calls, with the following exceptions:

- RCF can only be assigned to a profile-only subscriber: there is no actual phone associated with this DN and the subscriber cannot make calls from this number.
- Assigning the feature to a Feature Profile is not allowed.
- A specified number of simultaneous calls can be forwarded to the remote station from the RCF base DN.

MP2 command: CFRCF [Attributes]

## Member Data Documentation

## ◆ MaxSimultaneousCalls

int* unsp__CfRCF::MaxSimultaneousCalls

The maximum number of calls allowed to be forward at any one time.

required: true
default value[range]: 32 [0..2500]

## ◆ ServiceId

unsp__ServiceId unsp__CfRCF::ServiceId

The number or alphanumeric SIP URI to which all incoming calls are to be routed.

required: true

See also
  unsp__CFTarget

## ◆ Subscribed

enum unsp__Subscribed unsp__CfRCF::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h